Type to search.

Get task information

Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Preview since 5.0 This functionality is in technical preview and is ready for evaluation. Use with caution in production; it is not recommended for mission-critical workloads. Elastic will work to fix any issues, but features in technical preview are not subject to the support SLA of official GA features. Specific Support terms apply. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Get information about a task currently running in the cluster.

Warning

The task management API is new and should still be considered a beta feature. The API may change in ways that are not backwards compatible.

If the task identifier is not found, a 404 response code indicates that there are no resources that match the request.

Required privileges

Cluster privileges monitor

Path parameters

task_id string required

The task identifier.

Query parameters

timeout union oneOf · default: 30s

The period to wait for a response. If no response is received before the timeout expires, the request fails and returns an error.

Values: -1 0
wait_for_completion boolean · default: false

If true, the request blocks until the task has completed.

Response

application/json
completed boolean required
task object required
action string required
cancelled boolean
cancellable boolean required
description string

Human readable text that identifies the particular request that the task is performing. For example, it might identify the search request being performed by a search task. Other kinds of tasks have different descriptions, like _reindex which has the source and the destination, or _bulk which just has the number of requests and the destination indices. Many requests will have only an empty description because more detailed information about the request is not easily available or particularly helpful in identifying the request.

headers map string to string required
id number required
node string required
running_time union oneOf
Values: -1 0
running_time_in_nanos number required
start_time_in_millis number required
status object

The internal status of the task, which varies from task to task. The format also varies. While the goal is to keep the status for a particular task consistent from version to version, this is not always possible because sometimes the implementation changes. Fields might be removed from the status for a particular request so any parsing you do of the status might break in minor releases.

type string required
parent_task_id number | string
response object